<template>
  <q-layout view="hHh Lpr fFf" class="owlie no-shadow"> <!-- Be sure to play with the Layout demo on docs -->

    <!-- (Optional) The Header -->
    <q-header elevated>
      <q-toolbar flat class="bg">
        <q-btn
          flat
          round
          dense
          icon="menu"
          id="drawer"
          @click="leftDrawer = !leftDrawer"
        />
        <q-space />
        <q-btn flat rounded icon="notifications"></q-btn>
        <q-btn flat rounded icon="share"></q-btn>
        <q-btn flat rounded icon="search"></q-btn>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawer"
      side="left"
      bordered
      content-class="bg-grey-2"
    >
    <Auth v-if="$router.currentRoute.path=='/'"/>
    <Logout v-if="!($router.currentRoute.path=='/')"/>
    <div class="footer-absol">
      <switch-language></switch-language>
    </div>
    </q-drawer>

    <q-page-container>
      <router-view :drawer.sync="leftDrawer" />
    </q-page-container>

  </q-layout>
</template>

<script>
import Auth from 'components/Auth.vue';
import Logout from 'components/Logout.vue';
import SwitchLanguage from 'src/components/SwitchLanguage.vue';

export default {
  // name: 'LayoutName',
  components: {
    Auth, Logout, SwitchLanguage,
  },

  data() {
    return {
      leftDrawer: false,
    };
  },
};
</script>
